#version 430 core

layout (location = 0) in vec4 position;

uniform mat4 modelViewMatrix;

out vertexData 
{
	float TTL1;
} vertex;

void main() {
	gl_Position = modelViewMatrix * vec4(position.xyz, 1.0f);
	vertex.TTL1 = position.w;
}