#version 430 core
/*
* Copyright 2018 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

layout (location=0) out vec4 fragColor;
layout (location=1) out vec4 glowColor;

in vec2 TexCoords;

uniform sampler2D scene;

void main()
{
fragColor = pow(texture(scene, TexCoords).rgb, 2);
float brightness = dot(color.rgb, vec3(0.5333, 0.4980, 0.3568)); 
	if(brightness > 0.6){
		glowColor=vec4(color.rgb, 1.0);
	}
	else{
		glowColor=vec4(0.0, 0.0, 0.0, 1.0);
	}
}