#version 430 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec2 texCoordinates;

out vec2 texCoords;
out vec4 particleColor;

uniform mat4 projection_matrix;
uniform vec3 offset;
uniform vec4 color;

void main()
{
    float scale = 1.0f;
    texCoords = texCoordinates;
    particleColor = color;
    gl_Position = projection_matrix * vec4((position * scale) + offset, 1.0);
}