#version 430 core

in vec3 normal;
in vec3 position;

out vec4 color;

uniform samplerCube skybox;
uniform vec3 cameraPos;

void main()
{
	vec3 I = normalize(position-cameraPos);
	vec3 R = reflect(I, normalize(normal));
	color = vec4(texture(skybox, R).rgb, 1.0);
}